Add support for openscap spool files

08/26/2015 08:02 AM - Gerwin Krist

Status: Closed   

Priority: Normal   

Assignee:    

Category: Plugins   

Target version:    

Difficulty: trivial Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-s

elinux/pull/82

  

Description

Foreman-Openscap using /var/spool/foreman-proxy/openscap/ to store uploaded ARF reports. Uploads from client fail because an

AVC:

1360. 08/26/2015 13:48:14 ruby system_u:system_r:foreman_proxy_t:s0 2 dir write system_u:object_r:

var_spool_t:s0 denied 242934

1361. 08/26/2015 13:48:14 ruby system_u:system_r:foreman_proxy_t:s0 2 dir add_name system_u:object

_r:var_spool_t:s0 denied 242934

1362. 08/26/2015 13:48:14 ruby system_u:system_r:foreman_proxy_t:s0 2 file create system_u:object_

r:var_spool_t:s0 denied 242934

1363. 08/26/2015 13:48:14 ruby system_u:system_r:foreman_proxy_t:s0 2 file write open system_u:obj

ect_r:var_spool_t:s0 denied 242934

1364. 08/26/2015 13:49:02 ruby system_u:system_r:foreman_proxy_t:s0 83 dir create system_u:object_

r:var_spool_t:s0 denied 242942

 Current type context:

matchpathcon /var/spool/foreman-proxy/openscap

/var/spool/foreman-proxy/openscap       system_u:object_r:var_spool_t:s0

Possible solution:

An addon to the foreman-proxy module with:

require {

        type foreman_proxy_t;

        type var_spool_t;

        class dir { write create add_name };

        class file { write create open };

}

#============= foreman_proxy_t ==============

allow foreman_proxy_t var_spool_t:dir { write create add_name };

allow foreman_proxy_t var_spool_t:file { write create open };

 or adding a fcontext to the fcontext database.

Associated revisions

Revision 8ad0acfa - 06/29/2018 08:07 AM - Dirk Götz

Fixes #11572 - add support for spool files

to allow openscap report upload

History
#1 - 08/26/2015 08:03 AM - Dominic Cleal

- Project changed from Foreman to SELinux

- Category changed from 56 to Plugins

#2 - 06/28/2018 03:07 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-selinux/pull/82 added

#3 - 06/29/2018 08:08 AM - Lukas Zapletal

- Subject changed from [openscap] default spool directory has wrong type context to Add support for openscap spool files

#4 - 06/29/2018 09:01 AM - Dirk Götz

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8ad0acfa85f9c8841b915e72e37830d3f68d27cb.

#5 - 08/29/2018 04:42 PM - Tomer Brisker

- Fixed in Releases 1.19.0 added
